chukwa-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ey...@apache.org
Subject svn commit: r768056 - in /hadoop/chukwa: branches/chukwa-0.1/bin/hicc.sh trunk/bin/hicc.sh
Date Thu, 23 Apr 2009 21:07:41 GMT
Author: eyang
Date: Thu Apr 23 21:07:41 2009
New Revision: 768056

URL: http://svn.apache.org/viewvc?rev=768056&view=rev
Log:
CHUKWA-104. Remove permission setting code for Log4JMetricsContext and ChukwaDailyRollingFileAppender.
 (Jerome Boulon via Eric Yang)

Added:
    hadoop/chukwa/branches/chukwa-0.1/bin/hicc.sh
    hadoop/chukwa/trunk/bin/hicc.sh   (with props)

Added: hadoop/chukwa/branches/chukwa-0.1/bin/hicc.sh
URL: http://svn.apache.org/viewvc/hadoop/chukwa/branches/chukwa-0.1/bin/hicc.sh?rev=768056&view=auto
==============================================================================
--- hadoop/chukwa/branches/chukwa-0.1/bin/hicc.sh (added)
+++ hadoop/chukwa/branches/chukwa-0.1/bin/hicc.sh Thu Apr 23 21:07:41 2009
@@ -0,0 +1,35 @@
+#!/bin/sh
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+pid=$$
+
+bin=`dirname "$0"`
+bin=`cd "$bin"; pwd`
+
+. "$bin"/chukwa-config.sh
+
+trap '${CHUKWA_HOME}/opt/apache-tomcat-6.0.18/bin/shutdown.sh;rm -f ${CHUKWA_HOME}/var/run/hicc.pid;
exit 0' 1 2 15
+
+if [ "X$1" = "Xstop" ]; then
+  echo -n "Shutting down Hadoop Infrasture Care Center..."
+  ${CHUKWA_HOME}/opt/apache-tomcat-6.0.18/bin/shutdown.sh
+  echo "done"
+  exit 0
+fi
+
+echo "${pid}" > "${CHUKWA_HOME}/var/run/hicc.pid"
+
+${CHUKWA_HOME}/opt/apache-tomcat-6.0.18/bin/startup.sh

Added: hadoop/chukwa/trunk/bin/hicc.sh
URL: http://svn.apache.org/viewvc/hadoop/chukwa/trunk/bin/hicc.sh?rev=768056&view=auto
==============================================================================
--- hadoop/chukwa/trunk/bin/hicc.sh (added)
+++ hadoop/chukwa/trunk/bin/hicc.sh Thu Apr 23 21:07:41 2009
@@ -0,0 +1,35 @@
+#!/bin/sh
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+pid=$$
+
+bin=`dirname "$0"`
+bin=`cd "$bin"; pwd`
+
+. "$bin"/chukwa-config.sh
+
+trap '${CHUKWA_HOME}/opt/apache-tomcat-6.0.18/bin/shutdown.sh;rm -f ${CHUKWA_HOME}/var/run/hicc.pid;
exit 0' 1 2 15
+
+if [ "X$1" = "Xstop" ]; then
+  echo -n "Shutting down Hadoop Infrasture Care Center..."
+  ${CHUKWA_HOME}/opt/apache-tomcat-6.0.18/bin/shutdown.sh
+  echo "done"
+  exit 0
+fi
+
+echo "${pid}" > "${CHUKWA_HOME}/var/run/hicc.pid"
+
+${CHUKWA_HOME}/opt/apache-tomcat-6.0.18/bin/startup.sh

Propchange: hadoop/chukwa/trunk/bin/hicc.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message